<i18n>
{
  "fr": {
    "info-1": "La <em>Soumission</em> des données signifie que les données que vous avez saisies dans <em>GES 1point5</em> sont complètes et que vous les validez en tant que telles. Les données stockées dans <em>GES 1point5</em> sont celles que vous avez saisies ou importées dans l'outil et dont la synthèse est affichée au niveau de chacun des onglets. Le contenu de ces données stockées a été <strong>validé</strong> en amont <strong>par les personnes du CNRS en charge du respect du RGPD et de la sécurité des données</strong>.",
    "info-2": "Vous pouvez rassurer la direction de votre unité: <em>GES 1point5</em> respecte le RGPD et la sécurité des données. La soumission des données permet de <strong>contribuer à l'étude nationale sur l'empreinte carbone de la recherche</strong>. Elle modifie / ne modifie pas :",
    "info-3": "l'accès à l'ensemble de vos données sur ce BGES",
    "info-4": "l'accès aux résultats et à l'export de ce BGES",
    "info-5": "l'accès aux BGES de votre laboratoire déjà soumis pour d'autres années",
    "info-6": "l'accès à l'édition les données de ce BGES",
    "info-7": "Soumettre"
  },
  "en": {
    "info-1": "The data <em>Submission</em> means that the data entered in <em>GES 1point5</em> are complete and that you validate them as such. The data stored in <em>GES 1point5</em> are those that you have entered or uploaded in the tool and for which a recap is posted in each tab. The content of the data stored was <strong>validated</strong> <strong>by CNRS staff members in charge of the compliance with the EU-GDPR and of data security</strong>.",
    "info-2": "You can reassure the director of your laboratory : <em>GES 1point5</em> complies with the GDPR and data security. The data submission <strong>contributes to the national study on the carbon footprint of research</strong>. It does / does not impact:",
    "info-3": "access to all the data of this GHG inventory",
    "info-4": "access to the results and to the export of this GHG inventory",
    "info-5": "access to all the GHG inventories already submitted in your laboratory for other years ",
    "info-6": "access to edit the data",
    "info-7": "Submit"
  }
}
</i18n>

<template>
  <div>
    <p>
      <span v-html="$t('info-1')"></span>
      <br />
      <span v-html="$t('info-2')"></span>
    </p>
    <br />
    <ul style="list-style:none;margin-left:1em">
      <li>
        <span class="icon is-small"><i class="sui sui-check"></i></span>
        {{ $t('info-3') }}
      </li>
      <li>
        <span class="icon is-small"><i class="sui sui-check"></i></span>
        {{ $t('info-4') }}
      </li>
      <li>
        <span class="icon is-small"><i class="sui sui-check"></i></span>
        {{ $t('info-5') }}
      </li>
      <li style="opacity:0.4;color:#ff3860">
        <span class="icon is-small"><i class="sui sui-close"></i></span>
        {{ $t('info-6') }}
      </li>
    </ul>
    <button
      @click="submitData"
      class="button is-primary is-fullwidth"
      style="margin-top:65px"
    >
      <span class="icon is-small"><i class="sui sui-paper-plane"></i></span>
      <span>{{ $t('info-7') }}</span>
    </button>
  </div>
</template>

<script>
export default {
  name: 'DataSubmission',
  props: {
    module: {
      type: String,
      default: null
    }
  },
  data () {
    return {
      errorMsg: ''
    }
  },
  methods: {
    submitData: function () {
      const loadingComponent = this.$buefy.loading.open({
        container: null
      })
      this.$store.dispatch('ghgi/submitData', this.module)
        .then(data => {
          this.$emit('data-submitted')
          loadingComponent.close()
        })
        .catch((erreur) => {
          loadingComponent.close()
        })
    }
  }
}
</script>
